Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.service
Interface TransportServiceDescriptor

All Superinterfaces:
  MuleContextAware, ServiceDescriptor

All Known Implementing Classes:
  DefaultTransportServiceDescriptor, MetaTransportServiceDescriptor

    public interface TransportServiceDescriptor

extends ServiceDescriptor, MuleContextAware

`TransportServiceDescriptor` describes the necessary information for creating a connector from a service descriptor. A service descriptor should be located at META-INF/services/org/mule/providers/ where protocol is the protocol of the connector to be created The service descriptor is in the form of string key value pairs and supports a number of properties, descriptions of which can be found here: http://www.muledocs.org/Transport+Service+Descriptors.

Field Summary
`static String` | `OSGI_HEADER_TRANSPORT`

Method Summary
`Connector` | `createConnector()`
`MessageDispatcherFactory` | `createDispatcherFactory()`
`EndpointBuilder` | `createEndpointBuilder(EndpointURIEndpointBuilder builder)`
`EndpointBuilder` | `createEndpointBuilder(String uri)`
`EndpointURIBuilder` | `createEndpointURIBuilder()`
`List<Transformer>` | `createInboundTransformers(ImmutableEndpoint endpoint)`
`MessageReceiver` | `createMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`
`MessageReceiver` | `createMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint, Object[] args)`
`MuleMessageFactory` | `createMuleMessageFactory()`
`List<Transformer>` | `createOutboundTransformers(ImmutableEndpoint endpoint)`
`MessageRequesterFactory` | `createRequesterFactory()`
`List<Transformer>` | `createResponseTransformers(ImmutableEndpoint endpoint)`
`SessionHandler` | `createSessionHandler()`
`TransactionFactory` | `createTransactionFactory()`
`MessageExchangePattern` | `getDefaultExchangePattern()`
`Properties` | `getExceptionMappings()`
`List<MessageExchangePattern>` | `getInboundExchangePatterns()`
`List<MessageExchangePattern>` | `getOutboundExchangePatterns()`
`void` | `setExceptionMappings(Properties props)`

Methods inherited from interface org.mule.api.registry.ServiceDescriptor
`getService`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Field Detail

### OSGI_HEADER_TRANSPORT

    static final String OSGI_HEADER_TRANSPORT

See Also:
  Constant Field Values

Method Detail

### createMuleMessageFactory

    MuleMessageFactory createMuleMessageFactory()
                                                throws TransportServiceException

  Throws:
    `TransportServiceException`

### createSessionHandler

    SessionHandler createSessionHandler()
                                        throws TransportServiceException

  Throws:
    `TransportServiceException`

### createMessageReceiver

    MessageReceiver createMessageReceiver(Connector connector,
                                          FlowConstruct flowConstruct,
                                          InboundEndpoint endpoint)
                                          throws MuleException

  Throws:
    `MuleException`

### createMessageReceiver

    MessageReceiver createMessageReceiver(Connector connector,
                                          FlowConstruct flowConstruct,
                                          InboundEndpoint endpoint,
                                          Object[] args)
                                          throws MuleException

  Throws:
    `MuleException`

### createDispatcherFactory

    MessageDispatcherFactory createDispatcherFactory()
                                                     throws TransportServiceException

  Throws:
    `TransportServiceException`

### createRequesterFactory

    MessageRequesterFactory createRequesterFactory()
                                                   throws TransportServiceException

  Throws:
    `TransportServiceException`

### createTransactionFactory

    TransactionFactory createTransactionFactory()
                                                throws TransportServiceException

  Throws:
    `TransportServiceException`

### createConnector

    Connector createConnector()
                              throws TransportServiceException

  Throws:
    `TransportServiceException`

### createInboundTransformers

    List<Transformer> createInboundTransformers(ImmutableEndpoint endpoint)
                                                throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createOutboundTransformers

    List<Transformer> createOutboundTransformers(ImmutableEndpoint endpoint)
                                                 throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createResponseTransformers

    List<Transformer> createResponseTransformers(ImmutableEndpoint endpoint)
                                                 throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createEndpointURIBuilder

    EndpointURIBuilder createEndpointURIBuilder()
                                                throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    EndpointBuilder createEndpointBuilder(String uri)
                                          throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    EndpointBuilder createEndpointBuilder(EndpointURIEndpointBuilder builder)
                                          throws TransportFactoryException

  Throws:
    `TransportFactoryException`

### setExceptionMappings

    void setExceptionMappings(Properties props)

### getExceptionMappings

    Properties getExceptionMappings()

### getInboundExchangePatterns

    List<MessageExchangePattern> getInboundExchangePatterns()
                                                            throws TransportServiceException

  Throws:
    `TransportServiceException`

### getOutboundExchangePatterns

    List<MessageExchangePattern> getOutboundExchangePatterns()
                                                             throws TransportServiceException

  Throws:
    `TransportServiceException`

### getDefaultExchangePattern

    MessageExchangePattern getDefaultExchangePattern()
                                                     throws TransportServiceException

  Throws:
    `TransportServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.